/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ROUTES } from '@admin-client/shared';
import { Route } from '@angular/router';
import { OrganisationsEinheitFormPageComponent } from '../pages/organisationseinheit/organisationseinheit-form-page/organisationseinheit-form-page.component';
import { OrganisationsEinheitPageComponent } from '../pages/organisationseinheit/organisationseinheit-page/organisationseinheit-page.component';
import { PostfachPageComponent } from '../pages/postfach/postfach-page/postfach-page.component';
import { UserAddPageComponent } from '../pages/users-roles/user-add-page/user-add-page.component';
import { UserRolesPageComponent } from '../pages/users-roles/user-roles-page/user-roles-page.component';

export const appRoutes: Route[] = [
  {
    path: '',
    redirectTo: ROUTES.POSTFACH,
    pathMatch: 'full',
  },
  {
    path: ROUTES.POSTFACH,
    component: PostfachPageComponent,
    title: 'Admin | Postfach',
  },
  {
    path: ROUTES.BENUTZER_UND_ROLLEN,
    component: UserRolesPageComponent,
    title: 'Admin | Benutzer & Rollen',
  },
  {
    path: ROUTES.BENUTZER_UND_ROLLEN_NEU,
    component: UserAddPageComponent,
    title: 'Admin | Benutzer anlegen',
  },
  {
    path: ROUTES.ORGANISATIONSEINHEITEN,
    component: OrganisationsEinheitPageComponent,
    title: 'Admin | Organisationseinheiten',
  },
  {
    path: `${ROUTES.ORGANISATIONSEINHEITEN}/:organisationsEinheitUrl`,
    component: OrganisationsEinheitFormPageComponent,
    title: 'Admin | Organisationseinheit',
  },
];
